Storage Essentials Practitioners Forum
Showing results for 
Search instead for 
Do you mean 

SE can't find MDS9509 SAN Switch

Occasional Contributor

SE can't find MDS9509 SAN Switch

Hello,

 

I installed the SE 9.5.1 in Red Hat 5.5 platform. There are 4 Cisco mds9509 san switch in environment, but only 2 switch has been discovery. How can I do with it?

 

Thanks in advance.

4 REPLIES

Re: SE can't find MDS9509 SAN Switch

Hi,

 

a few questions:

 

1) why did you choose to install 9.5.1 and not 9.6.1 ?

2) which method for switch discovery did you use - SMI-S or SNMP ?

3) which firmware version are the switches running ?

 

//Matthias

Occasional Contributor

Re: SE can't find MDS9509 SAN Switch

Hello Matthias,

 

Thanks for your kindly help.

 

1). We haven't SE 9.6.1 license, so instal 9.5.1.

2). We use SNMP to switch discovery.

3). There are four Cisco mds9509 switch in environment. 2 switch can be discovery, which firmware version is 4.2(1a); but 2 switch can not be discovery, which firmware version is 3.3 (5).

 

Please give me some suggestion. Thank you very much.

 

 

Luyi Zhao

Valued Contributor

Re: SE can't find MDS9509 SAN Switch

Hi,

 

Are you sure those are the firmware versions of the switches discovered? The supported firmware versions for that switch are:

 

Using SMI-S:
Required:SAN-OS 3.3(4), 3.3(4a), 3.3(5), 3.3 (5a), 3.3(5b)

 

Using SNMP:
SAN-OS 3.2(3a), 3.3(3), 3.3(4), 3.3(4a), 3.3(5),3.3 (5a), 3.3(5b)

 

Best Regards,

shanti

Frequent Advisor

Re: SE can't find MDS9509 SAN Switch

Hi,

 

Which settings do you use for Cisco SNMP discovery in Product Health->Advanced?

 

You might use something like this:

 

# Cisco SNMP discovery settings
discovery.exclude.CiscoSNMPProvider=false
cimom.cisco.useSNMPv3=true
cimom.cisco.snmp.authenticationProtocol=MD5
cimom.cisco.snmp.privacyProtocol=DES

 

It is recommended to use the same user/password on all switches in a fabric. It will allow SE to discover whole fabric through one switch.

 

Can you past results of test discovery here?

 

BTW, you can use 9.5 license for SE 9.6.1

 

Regards,

Slava

//Add this to "OnDomLoad" event